Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 814404 - games-action/multimc-0.6.13 - unofficial build does not include microsoft account support
Summary: games-action/multimc-0.6.13 - unofficial build does not include microsoft acc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrew Ammerlaan
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-22 19:26 UTC by Fab
Modified: 2021-09-24 06:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fab 2021-09-22 19:26:27 UTC
Unofficial builds of 0.6.13 version does not include Microsoft account support.

When building current 0.6.13 version from portage tree, adding microsoft account is currently not possible ⁽¹⁾.

However it is possible to build microsoft support, but in this case branding should be removed :
> If you want to build microsoft support yourself
> see https://github.com/MultiMC/MultiMC5/blob/develop/notsecrets/Secrets.cpp
> (also note that to comply with the license you need to remove the branding from custom builds)

Please provide microsoft support into current current multimc ebuild, or please provide a new multimc-bin ebuild with official build. Thank you :)

1. https://github.com/MultiMC/MultiMC5/issues/4113
Comment 1 Fab 2021-09-23 11:57:52 UTC
It seems that I accidentally hitted a very hot topic ⁽¹⁾.
-bin ebuild would be very fine to me ^^

https://github.com/MultiMC/MultiMC5/issues/4087#issuecomment-925049483
Comment 2 Fab 2021-09-23 12:22:58 UTC
From the link in the previous comment :

> 'MultiMC' comes from multimc.org. Period. Any other source may not distribute 'MultiMC'.

> The only exception is a wrapper that gets you the unchanged binaries
> that are capable of automatic updates from multimc.org and are not tampered with.

> If you do not like that, do a clean fork. Change the name. Run your own infrastructure.
> Accept the necessary terms of use for the MS Identity Platform in your own name.
Comment 3 Larry the Git Cow gentoo-dev 2021-09-24 06:51:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ff6511dac94e5d14b4c66b967c8d1f86f48a0f4

commit 7ff6511dac94e5d14b4c66b967c8d1f86f48a0f4
Author:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
AuthorDate: 2021-09-24 06:49:40 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
CommitDate: 2021-09-24 06:51:32 +0000

    games-action/multimc-bin: add -bin version
    
    Because of secret API keys to access MS authentication servers
    we need a -bin version for full functionality.
    We also keep the non-bin versions for users who e.g. wish to apply patches
    
    https://github.com/MultiMC/MultiMC5/issues/4113
    https://github.com/MultiMC/MultiMC5/issues/4087
    Closes: https://bugs.gentoo.org/814404
    Package-Manager: Portage-3.0.23, Repoman-3.0.3
    Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>

 games-action/multimc-bin/Manifest                 |  1 +
 games-action/multimc-bin/metadata.xml             | 28 +++++++++++++
 games-action/multimc-bin/multimc-bin-1.5.1.ebuild | 48 +++++++++++++++++++++++
 3 files changed, 77 insertions(+)
Comment 4 Andrew Ammerlaan gentoo-dev 2021-09-24 06:56:59 UTC
What a mess.... (I'll omit the rant about how MS ruins all good things)

Anyway, I added a -bin version, and things should be working now.

I'll keep the non-bin version around for users who wish to compile from source or apply patches and things like that (and have not yet migrated to MS accounts). The -bin and non-bin version can be installed simultaneously. 

Enjoy!